import { Edge, EdgePositions, EdgeType, ElementId, HandleElement, Node, Position, Transform, XYPosition } from '~/types';
export declare function createEdgeTypes(edgeTypes: Record<string, EdgeType>): Record<string, EdgeType>;
export declare function getHandlePosition(position: Position, node: Node, handle?: any | null): XYPosition;
export declare function getHandle(bounds: HandleElement[], handleId: ElementId | null): HandleElement | undefined;
export declare const getEdgePositions: (sourceNode: Node, sourceHandle: HandleElement | unknown, sourcePosition: Position, targetNode: Node, targetHandle: HandleElement | unknown, targetPosition: Position) => EdgePositions;
interface IsEdgeVisibleParams {
    sourcePos: XYPosition;
    targetPos: XYPosition;
    width: number;
    height: number;
    transform: Transform;
}
export declare function isEdgeVisible({ sourcePos, targetPos, width, height, transform }: IsEdgeVisibleParams): boolean;
declare type SourceTargetNode = {
    sourceNode: Node;
    targetNode: Node;
};
export declare const getSourceTargetNodes: (edge: Edge, nodes: Node[]) => SourceTargetNode;
export {};
