import { CSSProperties } from 'vue';
import { ConnectionLineType, ConnectionMode, Elements, PanOnScrollMode, NodeType, EdgeType, KeyCode, TranslateExtent, NodeExtent, FlowOptions } from '~/types';
export interface FlowProps extends FlowOptions {
    elements: Elements;
    nodeTypes?: Record<string, NodeType>;
    edgeTypes?: Record<string, EdgeType>;
    connectionMode?: ConnectionMode;
    connectionLineType?: ConnectionLineType;
    connectionLineStyle?: CSSProperties;
    deleteKeyCode?: KeyCode;
    selectionKeyCode?: KeyCode;
    multiSelectionKeyCode?: KeyCode;
    zoomActivationKeyCode?: KeyCode;
    snapToGrid?: boolean;
    snapGrid?: [number, number];
    onlyRenderVisibleElements?: boolean;
    nodesDraggable?: boolean;
    nodesConnectable?: boolean;
    elementsSelectable?: boolean;
    selectNodesOnDrag?: boolean;
    paneMoveable?: boolean;
    minZoom?: number;
    maxZoom?: number;
    defaultZoom?: number;
    defaultPosition?: [number, number];
    translateExtent?: TranslateExtent;
    nodeExtent?: NodeExtent;
    arrowHeadColor?: string;
    markerEndId?: string;
    zoomOnScroll?: boolean;
    zoomOnPinch?: boolean;
    panOnScroll?: boolean;
    panOnScrollSpeed?: number;
    panOnScrollMode?: PanOnScrollMode;
    zoomOnDoubleClick?: boolean;
    edgeUpdaterRadius?: number;
    edgeTypesId?: string;
    nodeTypesId?: string;
}
declare const _default: import("vue").DefineComponent<{
    elements: {
        type: import("vue").PropType<Elements<any>>;
        required: true;
    } & {
        default: () => never[];
    };
    nodeTypes: {
        type: import("vue").PropType<Record<string, NodeType> | undefined>;
    };
    edgeTypes: {
        type: import("vue").PropType<Record<string, EdgeType> | undefined>;
    };
    connectionMode: {
        type: import("vue").PropType<ConnectionMode | undefined>;
    } & {
        default: ConnectionMode;
    };
    connectionLineType: {
        type: import("vue").PropType<ConnectionLineType | undefined>;
    } & {
        default: ConnectionLineType;
    };
    connectionLineStyle: {
        type: import("vue").PropType<CSSProperties | undefined>;
    };
    deleteKeyCode: {
        type: import("vue").PropType<KeyCode | undefined>;
    } & {
        default: string;
    };
    selectionKeyCode: {
        type: import("vue").PropType<KeyCode | undefined>;
    } & {
        default: string;
    };
    multiSelectionKeyCode: {
        type: import("vue").PropType<KeyCode | undefined>;
    } & {
        default: string;
    };
    zoomActivationKeyCode: {
        type: import("vue").PropType<KeyCode | undefined>;
    } & {
        default: string;
    };
    snapToGrid: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
    snapGrid: {
        type: import("vue").PropType<[number, number] | undefined>;
    } & {
        default: () => number[];
    };
    onlyRenderVisibleElements: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
    nodesDraggable: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
    nodesConnectable: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
    elementsSelectable: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
    selectNodesOnDrag: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
    paneMoveable: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
    minZoom: {
        type: import("vue").PropType<number | undefined>;
    } & {
        default: number;
    };
    maxZoom: {
        type: import("vue").PropType<number | undefined>;
    } & {
        default: number;
    };
    defaultZoom: {
        type: import("vue").PropType<number | undefined>;
    } & {
        default: number;
    };
    defaultPosition: {
        type: import("vue").PropType<[number, number] | undefined>;
    } & {
        default: () => number[];
    };
    translateExtent: {
        type: import("vue").PropType<TranslateExtent | undefined>;
    } & {
        default: () => number[][];
    };
    nodeExtent: {
        type: import("vue").PropType<TranslateExtent | undefined>;
    } & {
        default: () => number[][];
    };
    arrowHeadColor: {
        type: import("vue").PropType<string | undefined>;
    } & {
        default: string;
    };
    markerEndId: {
        type: import("vue").PropType<string | undefined>;
    };
    zoomOnScroll: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
    zoomOnPinch: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
    panOnScroll: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
    panOnScrollSpeed: {
        type: import("vue").PropType<number | undefined>;
    } & {
        default: number;
    };
    panOnScrollMode: {
        type: import("vue").PropType<PanOnScrollMode | undefined>;
    } & {
        default: PanOnScrollMode;
    };
    zoomOnDoubleClick: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
    edgeUpdaterRadius: {
        type: import("vue").PropType<number | undefined>;
    } & {
        default: number;
    };
    edgeTypesId: {
        type: import("vue").PropType<string | undefined>;
    } & {
        default: string;
    };
    nodeTypesId: {
        type: import("vue").PropType<string | undefined>;
    } & {
        default: string;
    };
    id: {
        type: import("vue").PropType<string | undefined>;
    };
    style: {
        type: import("vue").PropType<import("vue").StyleValue | undefined>;
    };
    onCopy: {
        type: import("vue").PropType<((payload: ClipboardEvent) => void) | undefined>;
    };
    onCut: {
        type: import("vue").PropType<((payload: ClipboardEvent) => void) | undefined>;
    };
    onPaste: {
        type: import("vue").PropType<((payload: ClipboardEvent) => void) | undefined>;
    };
    onCompositionend: {
        type: import("vue").PropType<((payload: CompositionEvent) => void) | undefined>;
    };
    onCompositionstart: {
        type: import("vue").PropType<((payload: CompositionEvent) => void) | undefined>;
    };
    onCompositionupdate: {
        type: import("vue").PropType<((payload: CompositionEvent) => void) | undefined>;
    };
    onDrag: {
        type: import("vue").PropType<((payload: DragEvent) => void) | undefined>;
    };
    onDragend: {
        type: import("vue").PropType<((payload: DragEvent) => void) | undefined>;
    };
    onDragenter: {
        type: import("vue").PropType<((payload: DragEvent) => void) | undefined>;
    };
    onDragexit: {
        type: import("vue").PropType<((payload: DragEvent) => void) | undefined>;
    };
    onDragleave: {
        type: import("vue").PropType<((payload: DragEvent) => void) | undefined>;
    };
    onDragover: {
        type: import("vue").PropType<((payload: DragEvent) => void) | undefined>;
    };
    onDragstart: {
        type: import("vue").PropType<((payload: DragEvent) => void) | undefined>;
    };
    onDrop: {
        type: import("vue").PropType<((payload: DragEvent) => void) | undefined>;
    };
    onFocus: {
        type: import("vue").PropType<((payload: FocusEvent) => void) | undefined>;
    };
    onFocusin: {
        type: import("vue").PropType<((payload: FocusEvent) => void) | undefined>;
    };
    onFocusout: {
        type: import("vue").PropType<((payload: FocusEvent) => void) | undefined>;
    };
    onBlur: {
        type: import("vue").PropType<((payload: FocusEvent) => void) | undefined>;
    };
    onChange: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onBeforeinput: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onInput: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onReset: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onSubmit: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onInvalid: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onError: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onKeydown: {
        type: import("vue").PropType<((payload: KeyboardEvent) => void) | undefined>;
    };
    onKeypress: {
        type: import("vue").PropType<((payload: KeyboardEvent) => void) | undefined>;
    };
    onKeyup: {
        type: import("vue").PropType<((payload: KeyboardEvent) => void) | undefined>;
    };
    onAuxclick: {
        type: import("vue").PropType<((payload: MouseEvent) => void) | undefined>;
    };
    onClick: {
        type: import("vue").PropType<((payload: MouseEvent) => void) | undefined>;
    };
    onContextmenu: {
        type: import("vue").PropType<((payload: MouseEvent) => void) | undefined>;
    };
    onDblclick: {
        type: import("vue").PropType<((payload: MouseEvent) => void) | undefined>;
    };
    onMousedown: {
        type: import("vue").PropType<((payload: MouseEvent) => void) | undefined>;
    };
    onMouseenter: {
        type: import("vue").PropType<((payload: MouseEvent) => void) | undefined>;
    };
    onMouseleave: {
        type: import("vue").PropType<((payload: MouseEvent) => void) | undefined>;
    };
    onMousemove: {
        type: import("vue").PropType<((payload: MouseEvent) => void) | undefined>;
    };
    onMouseout: {
        type: import("vue").PropType<((payload: MouseEvent) => void) | undefined>;
    };
    onMouseover: {
        type: import("vue").PropType<((payload: MouseEvent) => void) | undefined>;
    };
    onMouseup: {
        type: import("vue").PropType<((payload: MouseEvent) => void) | undefined>;
    };
    onAbort: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onCanplay: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onCanplaythrough: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onDurationchange: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onEmptied: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onEncrypted: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onEnded: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onLoadeddata: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onLoadedmetadata: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onLoadstart: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onPause: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onPlay: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onPlaying: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onProgress: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onRatechange: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onSeeked: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onSeeking: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onStalled: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onSuspend: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onTimeupdate: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onVolumechange: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onWaiting: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onSelect: {
        type: import("vue").PropType<((payload: Event) => void) | undefined>;
    };
    onScroll: {
        type: import("vue").PropType<((payload: UIEvent) => void) | undefined>;
    };
    onTouchcancel: {
        type: import("vue").PropType<((payload: TouchEvent) => void) | undefined>;
    };
    onTouchend: {
        type: import("vue").PropType<((payload: TouchEvent) => void) | undefined>;
    };
    onTouchmove: {
        type: import("vue").PropType<((payload: TouchEvent) => void) | undefined>;
    };
    onTouchstart: {
        type: import("vue").PropType<((payload: TouchEvent) => void) | undefined>;
    };
    onPointerdown: {
        type: import("vue").PropType<((payload: PointerEvent) => void) | undefined>;
    };
    onPointermove: {
        type: import("vue").PropType<((payload: PointerEvent) => void) | undefined>;
    };
    onPointerup: {
        type: import("vue").PropType<((payload: PointerEvent) => void) | undefined>;
    };
    onPointercancel: {
        type: import("vue").PropType<((payload: PointerEvent) => void) | undefined>;
    };
    onPointerenter: {
        type: import("vue").PropType<((payload: PointerEvent) => void) | undefined>;
    };
    onPointerleave: {
        type: import("vue").PropType<((payload: PointerEvent) => void) | undefined>;
    };
    onPointerover: {
        type: import("vue").PropType<((payload: PointerEvent) => void) | undefined>;
    };
    onPointerout: {
        type: import("vue").PropType<((payload: PointerEvent) => void) | undefined>;
    };
    onWheel: {
        type: import("vue").PropType<((payload: WheelEvent) => void) | undefined>;
    };
    onAnimationstart: {
        type: import("vue").PropType<((payload: AnimationEvent) => void) | undefined>;
    };
    onAnimationend: {
        type: import("vue").PropType<((payload: AnimationEvent) => void) | undefined>;
    };
    onAnimationiteration: {
        type: import("vue").PropType<((payload: AnimationEvent) => void) | undefined>;
    };
    onTransitionend: {
        type: import("vue").PropType<((payload: TransitionEvent) => void) | undefined>;
    };
    onTransitionstart: {
        type: import("vue").PropType<((payload: TransitionEvent) => void) | undefined>;
    };
    innerHTML: {
        type: import("vue").PropType<string | undefined>;
    };
    class: {
        type: import("vue").PropType<any>;
    };
    accesskey: {
        type: import("vue").PropType<string | undefined>;
    };
    contenteditable: {
        type: import("vue").PropType<(boolean | "true" | "false") | "inherit" | undefined>;
    };
    contextmenu: {
        type: import("vue").PropType<string | undefined>;
    };
    dir: {
        type: import("vue").PropType<string | undefined>;
    };
    draggable: {
        type: import("vue").PropType<(boolean | "true" | "false") | undefined>;
    };
    hidden: {
        type: import("vue").PropType<(boolean | "true" | "false") | undefined>;
    };
    lang: {
        type: import("vue").PropType<string | undefined>;
    };
    placeholder: {
        type: import("vue").PropType<string | undefined>;
    };
    spellcheck: {
        type: import("vue").PropType<(boolean | "true" | "false") | undefined>;
    };
    tabindex: {
        type: import("vue").PropType<(string | number) | undefined>;
    };
    title: {
        type: import("vue").PropType<string | undefined>;
    };
    translate: {
        type: import("vue").PropType<"yes" | "no" | undefined>;
    };
    radiogroup: {
        type: import("vue").PropType<string | undefined>;
    };
    role: {
        type: import("vue").PropType<string | undefined>;
    };
    about: {
        type: import("vue").PropType<string | undefined>;
    };
    datatype: {
        type: import("vue").PropType<string | undefined>;
    };
    inlist: {
        type: import("vue").PropType<any>;
    };
    prefix: {
        type: import("vue").PropType<string | undefined>;
    };
    property: {
        type: import("vue").PropType<string | undefined>;
    };
    resource: {
        type: import("vue").PropType<string | undefined>;
    };
    typeof: {
        type: import("vue").PropType<string | undefined>;
    };
    vocab: {
        type: import("vue").PropType<string | undefined>;
    };
    autocapitalize: {
        type: import("vue").PropType<string | undefined>;
    };
    autocorrect: {
        type: import("vue").PropType<string | undefined>;
    };
    autocave: {
        type: import("vue").PropType<string | undefined>;
    };
    color: {
        type: import("vue").PropType<string | undefined>;
    };
    itemprop: {
        type: import("vue").PropType<string | undefined>;
    };
    itemscope: {
        type: import("vue").PropType<(boolean | "true" | "false") | undefined>;
    };
    itemtype: {
        type: import("vue").PropType<string | undefined>;
    };
    itemid: {
        type: import("vue").PropType<string | undefined>;
    };
    itemref: {
        type: import("vue").PropType<string | undefined>;
    };
    results: {
        type: import("vue").PropType<(string | number) | undefined>;
    };
    security: {
        type: import("vue").PropType<string | undefined>;
    };
    unselectable: {
        type: import("vue").PropType<"on" | "off" | undefined>;
    };
    inputmode: {
        type: import("vue").PropType<"search" | "none" | "text" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined>;
    };
    is: {
        type: import("vue").PropType<string | undefined>;
    };
    'aria-activedescendant': {
        type: import("vue").PropType<string | undefined>;
    };
    'aria-atomic': {
        type: import("vue").PropType<(boolean | "true" | "false") | undefined>;
    };
    'aria-autocomplete': {
        type: import("vue").PropType<"none" | "inline" | "list" | "both" | undefined>;
    };
    'aria-busy': {
        type: import("vue").PropType<(boolean | "true" | "false") | undefined>;
    };
    'aria-checked': {
        type: import("vue").PropType<(boolean | "true" | "false") | "mixed" | undefined>;
    };
    'aria-colcount': {
        type: import("vue").PropType<(string | number) | undefined>;
    };
    'aria-colindex': {
        type: import("vue").PropType<(string | number) | undefined>;
    };
    'aria-colspan': {
        type: import("vue").PropType<(string | number) | undefined>;
    };
    'aria-controls': {
        type: import("vue").PropType<string | undefined>;
    };
    'aria-current': {
        type: import("vue").PropType<(boolean | "true" | "false") | "page" | "step" | "location" | "date" | "time" | undefined>;
    };
    'aria-describedby': {
        type: import("vue").PropType<string | undefined>;
    };
    'aria-details': {
        type: import("vue").PropType<string | undefined>;
    };
    'aria-disabled': {
        type: import("vue").PropType<(boolean | "true" | "false") | undefined>;
    };
    'aria-dropeffect': {
        type: import("vue").PropType<"link" | "move" | "none" | "copy" | "execute" | "popup" | undefined>;
    };
    'aria-errormessage': {
        type: import("vue").PropType<string | undefined>;
    };
    'aria-expanded': {
        type: import("vue").PropType<(boolean | "true" | "false") | undefined>;
    };
    'aria-flowto': {
        type: import("vue").PropType<string | undefined>;
    };
    'aria-grabbed': {
        type: import("vue").PropType<(boolean | "true" | "false") | undefined>;
    };
    'aria-haspopup': {
        type: import("vue").PropType<(boolean | "true" | "false") | "menu" | "listbox" | "tree" | "grid" | "dialog" | undefined>;
    };
    'aria-hidden': {
        type: import("vue").PropType<(boolean | "true" | "false") | undefined>;
    };
    'aria-invalid': {
        type: import("vue").PropType<(boolean | "true" | "false") | "grammar" | "spelling" | undefined>;
    };
    'aria-keyshortcuts': {
        type: import("vue").PropType<string | undefined>;
    };
    'aria-label': {
        type: import("vue").PropType<string | undefined>;
    };
    'aria-labelledby': {
        type: import("vue").PropType<string | undefined>;
    };
    'aria-level': {
        type: import("vue").PropType<(string | number) | undefined>;
    };
    'aria-live': {
        type: import("vue").PropType<"off" | "assertive" | "polite" | undefined>;
    };
    'aria-modal': {
        type: import("vue").PropType<(boolean | "true" | "false") | undefined>;
    };
    'aria-multiline': {
        type: import("vue").PropType<(boolean | "true" | "false") | undefined>;
    };
    'aria-multiselectable': {
        type: import("vue").PropType<(boolean | "true" | "false") | undefined>;
    };
    'aria-orientation': {
        type: import("vue").PropType<"horizontal" | "vertical" | undefined>;
    };
    'aria-owns': {
        type: import("vue").PropType<string | undefined>;
    };
    'aria-placeholder': {
        type: import("vue").PropType<string | undefined>;
    };
    'aria-posinset': {
        type: import("vue").PropType<(string | number) | undefined>;
    };
    'aria-pressed': {
        type: import("vue").PropType<(boolean | "true" | "false") | "mixed" | undefined>;
    };
    'aria-readonly': {
        type: import("vue").PropType<(boolean | "true" | "false") | undefined>;
    };
    'aria-relevant': {
        type: import("vue").PropType<"text" | "additions" | "additions text" | "all" | "removals" | undefined>;
    };
    'aria-required': {
        type: import("vue").PropType<(boolean | "true" | "false") | undefined>;
    };
    'aria-roledescription': {
        type: import("vue").PropType<string | undefined>;
    };
    'aria-rowcount': {
        type: import("vue").PropType<(string | number) | undefined>;
    };
    'aria-rowindex': {
        type: import("vue").PropType<(string | number) | undefined>;
    };
    'aria-rowspan': {
        type: import("vue").PropType<(string | number) | undefined>;
    };
    'aria-selected': {
        type: import("vue").PropType<(boolean | "true" | "false") | undefined>;
    };
    'aria-setsize': {
        type: import("vue").PropType<(string | number) | undefined>;
    };
    'aria-sort': {
        type: import("vue").PropType<"none" | "ascending" | "descending" | "other" | undefined>;
    };
    'aria-valuemax': {
        type: import("vue").PropType<(string | number) | undefined>;
    };
    'aria-valuemin': {
        type: import("vue").PropType<(string | number) | undefined>;
    };
    'aria-valuenow': {
        type: import("vue").PropType<(string | number) | undefined>;
    };
    'aria-valuetext': {
        type: import("vue").PropType<string | undefined>;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, string[], string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    elements?: unknown;
    nodeTypes?: unknown;
    edgeTypes?: unknown;
    connectionMode?: unknown;
    connectionLineType?: unknown;
    connectionLineStyle?: unknown;
    deleteKeyCode?: unknown;
    selectionKeyCode?: unknown;
    multiSelectionKeyCode?: unknown;
    zoomActivationKeyCode?: unknown;
    snapToGrid?: unknown;
    snapGrid?: unknown;
    onlyRenderVisibleElements?: unknown;
    nodesDraggable?: unknown;
    nodesConnectable?: unknown;
    elementsSelectable?: unknown;
    selectNodesOnDrag?: unknown;
    paneMoveable?: unknown;
    minZoom?: unknown;
    maxZoom?: unknown;
    defaultZoom?: unknown;
    defaultPosition?: unknown;
    translateExtent?: unknown;
    nodeExtent?: unknown;
    arrowHeadColor?: unknown;
    markerEndId?: unknown;
    zoomOnScroll?: unknown;
    zoomOnPinch?: unknown;
    panOnScroll?: unknown;
    panOnScrollSpeed?: unknown;
    panOnScrollMode?: unknown;
    zoomOnDoubleClick?: unknown;
    edgeUpdaterRadius?: unknown;
    edgeTypesId?: unknown;
    nodeTypesId?: unknown;
    id?: unknown;
    style?: unknown;
    onCopy?: unknown;
    onCut?: unknown;
    onPaste?: unknown;
    onCompositionend?: unknown;
    onCompositionstart?: unknown;
    onCompositionupdate?: unknown;
    onDrag?: unknown;
    onDragend?: unknown;
    onDragenter?: unknown;
    onDragexit?: unknown;
    onDragleave?: unknown;
    onDragover?: unknown;
    onDragstart?: unknown;
    onDrop?: unknown;
    onFocus?: unknown;
    onFocusin?: unknown;
    onFocusout?: unknown;
    onBlur?: unknown;
    onChange?: unknown;
    onBeforeinput?: unknown;
    onInput?: unknown;
    onReset?: unknown;
    onSubmit?: unknown;
    onInvalid?: unknown;
    onError?: unknown;
    onKeydown?: unknown;
    onKeypress?: unknown;
    onKeyup?: unknown;
    onAuxclick?: unknown;
    onClick?: unknown;
    onContextmenu?: unknown;
    onDblclick?: unknown;
    onMousedown?: unknown;
    onMouseenter?: unknown;
    onMouseleave?: unknown;
    onMousemove?: unknown;
    onMouseout?: unknown;
    onMouseover?: unknown;
    onMouseup?: unknown;
    onAbort?: unknown;
    onCanplay?: unknown;
    onCanplaythrough?: unknown;
    onDurationchange?: unknown;
    onEmptied?: unknown;
    onEncrypted?: unknown;
    onEnded?: unknown;
    onLoadeddata?: unknown;
    onLoadedmetadata?: unknown;
    onLoadstart?: unknown;
    onPause?: unknown;
    onPlay?: unknown;
    onPlaying?: unknown;
    onProgress?: unknown;
    onRatechange?: unknown;
    onSeeked?: unknown;
    onSeeking?: unknown;
    onStalled?: unknown;
    onSuspend?: unknown;
    onTimeupdate?: unknown;
    onVolumechange?: unknown;
    onWaiting?: unknown;
    onSelect?: unknown;
    onScroll?: unknown;
    onTouchcancel?: unknown;
    onTouchend?: unknown;
    onTouchmove?: unknown;
    onTouchstart?: unknown;
    onPointerdown?: unknown;
    onPointermove?: unknown;
    onPointerup?: unknown;
    onPointercancel?: unknown;
    onPointerenter?: unknown;
    onPointerleave?: unknown;
    onPointerover?: unknown;
    onPointerout?: unknown;
    onWheel?: unknown;
    onAnimationstart?: unknown;
    onAnimationend?: unknown;
    onAnimationiteration?: unknown;
    onTransitionend?: unknown;
    onTransitionstart?: unknown;
    innerHTML?: unknown;
    class?: unknown;
    accesskey?: unknown;
    contenteditable?: unknown;
    contextmenu?: unknown;
    dir?: unknown;
    draggable?: unknown;
    hidden?: unknown;
    lang?: unknown;
    placeholder?: unknown;
    spellcheck?: unknown;
    tabindex?: unknown;
    title?: unknown;
    translate?: unknown;
    radiogroup?: unknown;
    role?: unknown;
    about?: unknown;
    datatype?: unknown;
    inlist?: unknown;
    prefix?: unknown;
    property?: unknown;
    resource?: unknown;
    typeof?: unknown;
    vocab?: unknown;
    autocapitalize?: unknown;
    autocorrect?: unknown;
    autocave?: unknown;
    color?: unknown;
    itemprop?: unknown;
    itemscope?: unknown;
    itemtype?: unknown;
    itemid?: unknown;
    itemref?: unknown;
    results?: unknown;
    security?: unknown;
    unselectable?: unknown;
    inputmode?: unknown;
    is?: unknown;
    'aria-activedescendant'?: unknown;
    'aria-atomic'?: unknown;
    'aria-autocomplete'?: unknown;
    'aria-busy'?: unknown;
    'aria-checked'?: unknown;
    'aria-colcount'?: unknown;
    'aria-colindex'?: unknown;
    'aria-colspan'?: unknown;
    'aria-controls'?: unknown;
    'aria-current'?: unknown;
    'aria-describedby'?: unknown;
    'aria-details'?: unknown;
    'aria-disabled'?: unknown;
    'aria-dropeffect'?: unknown;
    'aria-errormessage'?: unknown;
    'aria-expanded'?: unknown;
    'aria-flowto'?: unknown;
    'aria-grabbed'?: unknown;
    'aria-haspopup'?: unknown;
    'aria-hidden'?: unknown;
    'aria-invalid'?: unknown;
    'aria-keyshortcuts'?: unknown;
    'aria-label'?: unknown;
    'aria-labelledby'?: unknown;
    'aria-level'?: unknown;
    'aria-live'?: unknown;
    'aria-modal'?: unknown;
    'aria-multiline'?: unknown;
    'aria-multiselectable'?: unknown;
    'aria-orientation'?: unknown;
    'aria-owns'?: unknown;
    'aria-placeholder'?: unknown;
    'aria-posinset'?: unknown;
    'aria-pressed'?: unknown;
    'aria-readonly'?: unknown;
    'aria-relevant'?: unknown;
    'aria-required'?: unknown;
    'aria-roledescription'?: unknown;
    'aria-rowcount'?: unknown;
    'aria-rowindex'?: unknown;
    'aria-rowspan'?: unknown;
    'aria-selected'?: unknown;
    'aria-setsize'?: unknown;
    'aria-sort'?: unknown;
    'aria-valuemax'?: unknown;
    'aria-valuemin'?: unknown;
    'aria-valuenow'?: unknown;
    'aria-valuetext'?: unknown;
} & {
    elements: Elements<any>;
    connectionMode: ConnectionMode | undefined;
    connectionLineType: ConnectionLineType | undefined;
    deleteKeyCode: KeyCode | undefined;
    selectionKeyCode: KeyCode | undefined;
    multiSelectionKeyCode: KeyCode | undefined;
    zoomActivationKeyCode: KeyCode | undefined;
    snapToGrid: boolean | undefined;
    snapGrid: [number, number] | undefined;
    onlyRenderVisibleElements: boolean | undefined;
    nodesDraggable: boolean | undefined;
    nodesConnectable: boolean | undefined;
    elementsSelectable: boolean | undefined;
    selectNodesOnDrag: boolean | undefined;
    paneMoveable: boolean | undefined;
    minZoom: number | undefined;
    maxZoom: number | undefined;
    defaultZoom: number | undefined;
    defaultPosition: [number, number] | undefined;
    translateExtent: TranslateExtent | undefined;
    nodeExtent: TranslateExtent | undefined;
    arrowHeadColor: string | undefined;
    zoomOnScroll: boolean | undefined;
    zoomOnPinch: boolean | undefined;
    panOnScroll: boolean | undefined;
    panOnScrollSpeed: number | undefined;
    panOnScrollMode: PanOnScrollMode | undefined;
    zoomOnDoubleClick: boolean | undefined;
    edgeUpdaterRadius: number | undefined;
    nodeTypesId: string | undefined;
    edgeTypesId: string | undefined;
} & {
    id?: string | undefined;
    style?: import("vue").StyleValue | undefined;
    markerEndId?: string | undefined;
    onCopy?: ((payload: ClipboardEvent) => void) | undefined;
    onCut?: ((payload: ClipboardEvent) => void) | undefined;
    onPaste?: ((payload: ClipboardEvent) => void) | undefined;
    onCompositionend?: ((payload: CompositionEvent) => void) | undefined;
    onCompositionstart?: ((payload: CompositionEvent) => void) | undefined;
    onCompositionupdate?: ((payload: CompositionEvent) => void) | undefined;
    onDrag?: ((payload: DragEvent) => void) | undefined;
    onDragend?: ((payload: DragEvent) => void) | undefined;
    onDragenter?: ((payload: DragEvent) => void) | undefined;
    onDragexit?: ((payload: DragEvent) => void) | undefined;
    onDragleave?: ((payload: DragEvent) => void) | undefined;
    onDragover?: ((payload: DragEvent) => void) | undefined;
    onDragstart?: ((payload: DragEvent) => void) | undefined;
    onDrop?: ((payload: DragEvent) => void) | undefined;
    onFocus?: ((payload: FocusEvent) => void) | undefined;
    onFocusin?: ((payload: FocusEvent) => void) | undefined;
    onFocusout?: ((payload: FocusEvent) => void) | undefined;
    onBlur?: ((payload: FocusEvent) => void) | undefined;
    onChange?: ((payload: Event) => void) | undefined;
    onBeforeinput?: ((payload: Event) => void) | undefined;
    onInput?: ((payload: Event) => void) | undefined;
    onReset?: ((payload: Event) => void) | undefined;
    onSubmit?: ((payload: Event) => void) | undefined;
    onInvalid?: ((payload: Event) => void) | undefined;
    onError?: ((payload: Event) => void) | undefined;
    onKeydown?: ((payload: KeyboardEvent) => void) | undefined;
    onKeypress?: ((payload: KeyboardEvent) => void) | undefined;
    onKeyup?: ((payload: KeyboardEvent) => void) | undefined;
    onAuxclick?: ((payload: MouseEvent) => void) | undefined;
    onClick?: ((payload: MouseEvent) => void) | undefined;
    onContextmenu?: ((payload: MouseEvent) => void) | undefined;
    onDblclick?: ((payload: MouseEvent) => void) | undefined;
    onMousedown?: ((payload: MouseEvent) => void) | undefined;
    onMouseenter?: ((payload: MouseEvent) => void) | undefined;
    onMouseleave?: ((payload: MouseEvent) => void) | undefined;
    onMousemove?: ((payload: MouseEvent) => void) | undefined;
    onMouseout?: ((payload: MouseEvent) => void) | undefined;
    onMouseover?: ((payload: MouseEvent) => void) | undefined;
    onMouseup?: ((payload: MouseEvent) => void) | undefined;
    onAbort?: ((payload: Event) => void) | undefined;
    onCanplay?: ((payload: Event) => void) | undefined;
    onCanplaythrough?: ((payload: Event) => void) | undefined;
    onDurationchange?: ((payload: Event) => void) | undefined;
    onEmptied?: ((payload: Event) => void) | undefined;
    onEncrypted?: ((payload: Event) => void) | undefined;
    onEnded?: ((payload: Event) => void) | undefined;
    onLoadeddata?: ((payload: Event) => void) | undefined;
    onLoadedmetadata?: ((payload: Event) => void) | undefined;
    onLoadstart?: ((payload: Event) => void) | undefined;
    onPause?: ((payload: Event) => void) | undefined;
    onPlay?: ((payload: Event) => void) | undefined;
    onPlaying?: ((payload: Event) => void) | undefined;
    onProgress?: ((payload: Event) => void) | undefined;
    onRatechange?: ((payload: Event) => void) | undefined;
    onSeeked?: ((payload: Event) => void) | undefined;
    onSeeking?: ((payload: Event) => void) | undefined;
    onStalled?: ((payload: Event) => void) | undefined;
    onSuspend?: ((payload: Event) => void) | undefined;
    onTimeupdate?: ((payload: Event) => void) | undefined;
    onVolumechange?: ((payload: Event) => void) | undefined;
    onWaiting?: ((payload: Event) => void) | undefined;
    onSelect?: ((payload: Event) => void) | undefined;
    onScroll?: ((payload: UIEvent) => void) | undefined;
    onTouchcancel?: ((payload: TouchEvent) => void) | undefined;
    onTouchend?: ((payload: TouchEvent) => void) | undefined;
    onTouchmove?: ((payload: TouchEvent) => void) | undefined;
    onTouchstart?: ((payload: TouchEvent) => void) | undefined;
    onPointerdown?: ((payload: PointerEvent) => void) | undefined;
    onPointermove?: ((payload: PointerEvent) => void) | undefined;
    onPointerup?: ((payload: PointerEvent) => void) | undefined;
    onPointercancel?: ((payload: PointerEvent) => void) | undefined;
    onPointerenter?: ((payload: PointerEvent) => void) | undefined;
    onPointerleave?: ((payload: PointerEvent) => void) | undefined;
    onPointerover?: ((payload: PointerEvent) => void) | undefined;
    onPointerout?: ((payload: PointerEvent) => void) | undefined;
    onWheel?: ((payload: WheelEvent) => void) | undefined;
    onAnimationstart?: ((payload: AnimationEvent) => void) | undefined;
    onAnimationend?: ((payload: AnimationEvent) => void) | undefined;
    onAnimationiteration?: ((payload: AnimationEvent) => void) | undefined;
    onTransitionend?: ((payload: TransitionEvent) => void) | undefined;
    onTransitionstart?: ((payload: TransitionEvent) => void) | undefined;
    innerHTML?: string | undefined;
    class?: unknown;
    accesskey?: string | undefined;
    contenteditable?: (boolean | "true" | "false") | "inherit" | undefined;
    contextmenu?: string | undefined;
    dir?: string | undefined;
    draggable?: (boolean | "true" | "false") | undefined;
    hidden?: (boolean | "true" | "false") | undefined;
    lang?: string | undefined;
    placeholder?: string | undefined;
    spellcheck?: (boolean | "true" | "false") | undefined;
    tabindex?: (string | number) | undefined;
    title?: string | undefined;
    translate?: "yes" | "no" | undefined;
    radiogroup?: string | undefined;
    role?: string | undefined;
    about?: string | undefined;
    datatype?: string | undefined;
    inlist?: unknown;
    prefix?: string | undefined;
    property?: string | undefined;
    resource?: string | undefined;
    typeof?: string | undefined;
    vocab?: string | undefined;
    autocapitalize?: string | undefined;
    autocorrect?: string | undefined;
    autocave?: string | undefined;
    color?: string | undefined;
    itemprop?: string | undefined;
    itemscope?: (boolean | "true" | "false") | undefined;
    itemtype?: string | undefined;
    itemid?: string | undefined;
    itemref?: string | undefined;
    results?: (string | number) | undefined;
    security?: string | undefined;
    unselectable?: "on" | "off" | undefined;
    inputmode?: "search" | "none" | "text" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined;
    is?: string | undefined;
    "aria-activedescendant"?: string | undefined;
    "aria-atomic"?: (boolean | "true" | "false") | undefined;
    "aria-autocomplete"?: "none" | "inline" | "list" | "both" | undefined;
    "aria-busy"?: (boolean | "true" | "false") | undefined;
    "aria-checked"?: (boolean | "true" | "false") | "mixed" | undefined;
    "aria-colcount"?: (string | number) | undefined;
    "aria-colindex"?: (string | number) | undefined;
    "aria-colspan"?: (string | number) | undefined;
    "aria-controls"?: string | undefined;
    "aria-current"?: (boolean | "true" | "false") | "page" | "step" | "location" | "date" | "time" | undefined;
    "aria-describedby"?: string | undefined;
    "aria-details"?: string | undefined;
    "aria-disabled"?: (boolean | "true" | "false") | undefined;
    "aria-dropeffect"?: "link" | "move" | "none" | "copy" | "execute" | "popup" | undefined;
    "aria-errormessage"?: string | undefined;
    "aria-expanded"?: (boolean | "true" | "false") | undefined;
    "aria-flowto"?: string | undefined;
    "aria-grabbed"?: (boolean | "true" | "false") | undefined;
    "aria-haspopup"?: (boolean | "true" | "false") | "menu" | "listbox" | "tree" | "grid" | "dialog" | undefined;
    "aria-hidden"?: (boolean | "true" | "false") | undefined;
    "aria-invalid"?: (boolean | "true" | "false") | "grammar" | "spelling" | undefined;
    "aria-keyshortcuts"?: string | undefined;
    "aria-label"?: string | undefined;
    "aria-labelledby"?: string | undefined;
    "aria-level"?: (string | number) | undefined;
    "aria-live"?: "off" | "assertive" | "polite" | undefined;
    "aria-modal"?: (boolean | "true" | "false") | undefined;
    "aria-multiline"?: (boolean | "true" | "false") | undefined;
    "aria-multiselectable"?: (boolean | "true" | "false") | undefined;
    "aria-orientation"?: "horizontal" | "vertical" | undefined;
    "aria-owns"?: string | undefined;
    "aria-placeholder"?: string | undefined;
    "aria-posinset"?: (string | number) | undefined;
    "aria-pressed"?: (boolean | "true" | "false") | "mixed" | undefined;
    "aria-readonly"?: (boolean | "true" | "false") | undefined;
    "aria-relevant"?: "text" | "additions" | "additions text" | "all" | "removals" | undefined;
    "aria-required"?: (boolean | "true" | "false") | undefined;
    "aria-roledescription"?: string | undefined;
    "aria-rowcount"?: (string | number) | undefined;
    "aria-rowindex"?: (string | number) | undefined;
    "aria-rowspan"?: (string | number) | undefined;
    "aria-selected"?: (boolean | "true" | "false") | undefined;
    "aria-setsize"?: (string | number) | undefined;
    "aria-sort"?: "none" | "ascending" | "descending" | "other" | undefined;
    "aria-valuemax"?: (string | number) | undefined;
    "aria-valuemin"?: (string | number) | undefined;
    "aria-valuenow"?: (string | number) | undefined;
    "aria-valuetext"?: string | undefined;
    nodeTypes?: Record<string, NodeType> | undefined;
    edgeTypes?: Record<string, EdgeType> | undefined;
    connectionLineStyle?: CSSProperties | undefined;
}> & {
    [x: string & `on${string}`]: ((...args: any[]) => any) | undefined;
}, {
    elements: Elements<any>;
    connectionMode: ConnectionMode | undefined;
    connectionLineType: ConnectionLineType | undefined;
    deleteKeyCode: KeyCode | undefined;
    selectionKeyCode: KeyCode | undefined;
    multiSelectionKeyCode: KeyCode | undefined;
    zoomActivationKeyCode: KeyCode | undefined;
    snapToGrid: boolean | undefined;
    snapGrid: [number, number] | undefined;
    onlyRenderVisibleElements: boolean | undefined;
    nodesDraggable: boolean | undefined;
    nodesConnectable: boolean | undefined;
    elementsSelectable: boolean | undefined;
    selectNodesOnDrag: boolean | undefined;
    paneMoveable: boolean | undefined;
    minZoom: number | undefined;
    maxZoom: number | undefined;
    defaultZoom: number | undefined;
    defaultPosition: [number, number] | undefined;
    translateExtent: TranslateExtent | undefined;
    nodeExtent: TranslateExtent | undefined;
    arrowHeadColor: string | undefined;
    zoomOnScroll: boolean | undefined;
    zoomOnPinch: boolean | undefined;
    panOnScroll: boolean | undefined;
    panOnScrollSpeed: number | undefined;
    panOnScrollMode: PanOnScrollMode | undefined;
    zoomOnDoubleClick: boolean | undefined;
    edgeUpdaterRadius: number | undefined;
    nodeTypesId: string | undefined;
    edgeTypesId: string | undefined;
}>;
export default _default;
